2009-11-20  Veerapuram Varadhan  <vvaradhan@novell.com>

	* Npgsql.dll.sources: Add
	Npgsql{Factory,ConnectionStringBuilder}.cs
	* Npgsql/NpgsqlConnectionString.cs: Comment out redefinition of
	SslMode.
	* Npgsql/NpgsqlConnectionStringBuilder.cs: Mark it for 2.x profile
	onwards.
	* Npgsql/NpgsqlFactory.cs: Make methods to work also on 2.x profile
	
2008-11-05  Francisco Figueiredo Jr.  <francisco@npgsql.org>

	Undone update as it breaks the svn tree. 

2008-11-05  Francisco Figueiredo Jr.  <francisco@npgsql.org>
	
	Updated Npgsql to Npgsql2 2.0.1. Now Npgsql requires .Net 2.0 or above

2008-05-05  Francisco Figueiredo Jr.  <francisco@npgsql.org>

        Fixed problems when notification thread throws exception. Not is
	correctly thrown. See http://pgfoundry.org/forum/message.php?msg_id=1003387 for discussion about that. Thanks Josh Cooley for patch.


2007-11-15  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>
	*Npgsql/NpgsqlCommand.cs:  [#1010187] Problem with parsing parameters and "<" or ">" operator with Prepare().
        [#1010186] Thread safety problem when Parsing command text.
        Thanks Hubert FONGARNAND for patches!

2007-11-09  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>

	*NpgsqlTypes/NpgsqlTypesHelper.cs: This is a single line patch version for handling Standard conforming strings	parameter in postgresql.conf. You only need this version instead of 1.0 is you are using this setting or is planning to use it. Also, starting with 8.4 postgresql version, this parameter will be default to on in postgresql.conf. Today it is off.
	More info can be obtained on this link:	http://pgfoundry.org/tracker/index.php?func=detail&aid=1009624&group_id=1000140&atid=592
	Thanks Laurenz Albe & Erich Lerch for their patch!


2006-11-01  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>
	
	*Npgsql/NpgsqlCommand.cs: [#1000765] InvalidCastException for ByteA
	Parameter when command.Prepare() Thanks Hubert Fongarnand for patch!

2006-10-20  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>

        *Npgsql/NpgsqlCommand.resx,
         Npgsql/NpgsqlConnection.cs,
         Npgsql/NpgsqlCommand.cs,
         Npgsql/NpgsqlState.cs,
         Npgsql/NpgsqlConnectorPool.cs,
         Npgsql/NpgsqlCommandBuilder.cs,
         Npgsql/NpgsqlDataReader.cs,
         NpgsqlTypes/LargeObjectManager.cs,
         NpgsqlTypes/NpgsqlDbType.cs,
         NpgsqlTypes/LargeObject.cs,
         NpgsqlTypes/NpgsqlTypesHelper.cs,
         NpgsqlTypes/FastPath.cs: Updated to 1.0 final version. 



2006-09-06  Kornél Pál  <kornelpal@gmail.com>

	* Test/TestConfiguration.cs: Moved from build/common.
	* Npgsql/Npgsql_test.dll.sources: Added TestConfiguration.cs.

2006-08-16  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>


	*  Npgsql/NpgsqlParameter.cs
      Npgsql/NpgsqlConnectionString.cs
      Npgsql/NpgsqlState.resx
      Npgsql/NpgsqlConnection.cs
      Npgsql/NpgsqlSchema.cs
      Npgsql/NpgsqlClosedState.cs
      Npgsql/NpgsqlCommand.cs
      Npgsql/NpgsqlConnectorPool.cs
      Npgsql/NpgsqlConnector.cs
      Npgsql/NpgsqlTransaction.resx
      Npgsql/NpgsqlRowDescription.cs
      Npgsql/NpgsqlCommandBuilder.cs
      Npgsql/NpgsqlDataReader.cs
      Npgsql/NpgsqlException.cs
	  Npgsql/NpgsqlMediator.cs
      Npgsql/NpgsqlReadyState.cs
      NpgsqlTypes/NpgsqlDbType.cs
      NpgsqlTypes/NpgsqlTypeConverters.cs
      NpgsqlTypes/NpgsqlTypesHelper.cs: Updated to RC3 version.




2006-04-27  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>

    * Npgsql_test.dll.sources,
      Npgsql.dll.sources,
      Npgsql/NpgsqlError.cs,
      Npgsql/NpgsqlCommandBuilder.resx,
      Npgsql/NpgsqlConnectedState.cs,
      Npgsql/NpgsqlBind.cs,
      Npgsql/NpgsqlTransaction.cs,
      Npgsql/NpgsqlConnectionString.cs,
      Npgsql/NpgsqlConnection.cs,
      Npgsql/NpgsqlClosedState.cs,
      Npgsql/NpgsqlState.cs,
      Npgsql/NpgsqlAsciiRow.cs,
      Npgsql/NpgsqlConnector.cs,
      Npgsql/NpgsqlParameterCollection.cs,
      Npgsql/NpgsqlCancelRequest.cs,
      Npgsql/NpgsqlCommandBuilder.cs,
      Npgsql/NpgsqlException.cs,
      Npgsql/NpgsqlMediator.cs,
      Npgsql/NpgsqlReadyState.cs,
      Npgsql/PGUtil.cs,
      ChangeLog,
      Npgsql.dll.resources,
      NpgsqlTypes/NpgsqlDbType.cs,
      NpgsqlTypes/NpgsqlTypeConverters.cs,
      NpgsqlTypes/NpgsqlTypes.cs,
      NpgsqlTypes/NpgsqlTypesHelper.cs,
      Makefile: Updated to RC1 version.


Thu Feb 23 10:29:13 CET 2006 Paolo Molaro <lupus@ximian.com>

    * Npgsql/NpgsqlCommand.cs: return count for fetch and move, too,
    patch from Federico Di Gregorio <fog@initd.org>.


2006-01-05  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>

    * PGUtil.cs: [#1000517] ServerVersion operator overload. Fixed. Thanks Otto for heads up.


2006-01-01  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>
	
    * NpgsqlCommand.cs: [#1000497] Dot in parameter name causes exception. Added performance patch for GetClearCommandText() thanks Bryan Mayland.
    * NpgsqlParameterCollection.cs: Added performance patch for GetClearCommandText() thanks Bryan Mayland.
    * [#1000454] Getting identifier of an inserted row. Added property LastInsertedOID to NpgsqlCommand. This property only works when using a single insert command and the table was created with oids else it returns 0.

2005-12-29  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>

    * NpgsqlCommand.cs: [#1000500] Fixed problem when parsing parameter names with NpgsqlCommand.Prepare(), [#1000497] Fixed problem with dot in parameter names.

2005-12-25  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>

    * NpgsqlTransaction.cs: [#1000491] Fixed transaction isolation level setting. Thanks Ottó Havasvölgyi for heads up.
    * NpgsqlTransaction.cs.resx: Removed unused key.

2005-12-14  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>

    * NpgsqlAsciiRow.cs,
      NpgsqlBind.cs,
      NpgsqlCommand.cs,
      NpgsqlConnector.cs,
      NpgsqlReadyState.cs,
      NpgsqlState.cs,
      NpgsqlTypesHelper.cs: [#1000458] Enormous memory increase (and application crash) with large BYTEA parameter. Added binary support.  Thanks Hubert FONGARNAND for patch. Improved network performance by removing some Stream.Flush() calls.


2005-12-13  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>


	* NpgsqlClosedState.cs:  Added a performance improvement fix. Npgsql now use a buffered stream for all server interactions.

2005-12-12  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>

	* Npgsql/NpgsqlCommand.cs: [bugzilla 76961] Fixed problem with ExecuteReader when using SchemaOnly and SingleRow behavior at same time. Thanks Kamil Skalski for feedback.

2005-12-09  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>

    Npgsql/NpgsqlError.cs,
    Npgsql/NpgsqlParameter.cs,
    Npgsql/NpgsqlConnectionString.cs,
    Npgsql/NpgsqlConnection.cs,
    Npgsql/NpgsqlSchema.cs,
    Npgsql/NpgsqlClosedState.cs,
    Npgsql/NpgsqlCommand.cs,
    Npgsql/NpgsqlState.cs,
    Npgsql/NpgsqlAsciiRow.cs,
    Npgsql/NpgsqlConnectorPool.cs,
    Npgsql/NpgsqlConnector.cs,
    Npgsql/NpgsqlQuery.cs,
    Npgsql/NpgsqlRowDescription.cs,
    Npgsql/NpgsqlCommandBuilder.cs,
    Npgsql/NpgsqlDataReader.cs,
    Npgsql/NpgsqlException.cs,
    Npgsql/NpgsqlMediator.cs,
    Npgsql/NpgsqlReadyState.cs,
    Npgsql/NpgsqlEventLog.cs,
    Npgsql.dll.resources,
    NpgsqlTypes/NpgsqlTypeConverters.cs,
    NpgsqlTypes/NpgsqlTypesHelper.cs,
    Makefile: Updated to 1.0beta1


2005-08-27  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>
    * NpgsqlParameter.cs: Applied patch to fix a NullReferenceException when using Design Time support. Thanks Josh Cooley ( jbnpgsql at tuxinthebox dot net ) for patch.
    * NpgsqlDataReader.cs: Updated ProviderType metadata from NpgsqlDataReader.GetResultsetSchema to be the string for the type rather than the oid.  Fixed ColumnSize, NumericPrecision, NumericScale, BaseColumnName, AllowDBNull, and IsAliased. Also integrated patch from (rlp at bamafolks dot com), gborg 751. Thanks Josh Cooley (jbnpgsql at tuxinthebox dot net) for patches!
    * NpgsqlConnection.cs,
    NpgsqlSchema.cs: Josh Cooley (jbnpgsql at tuxinthebox dot net) improved Metadata support in Npgsql. Added support for the following collections through NpgsqlConnection.GetSchema() methods: MetaDataCollections, Restrictions, Databases, Tables, Columns, Views and Users. Also added support for restrictions when getting info about these collections.
    * NpgsqlCommand.cs: Fixed problem with stored procedure command texts which finished with a ";". Npgsql was adding incorrectly a trailing "()" when calling this command text.
    * NpgsqlDbType.cs,
    NpgsqlTypesHelper.cs: Added refcursor parameter support. Now, refcursors can be passed as arguments for functions. Thanks Jon Asher for heads up and tests.
    * Npgsql.dll.sources: Added helper metadata class. Thanks Josh Cooley (jbnpgsql at tuxinthebox dot net).
    * NpgsqlDataAdapter: Updated constructor documentation.
    * NpgsqlConnectorPool: Fixed concurrent problem when using MinPoolSize > 1. Thanks Josh Cooley (jbnpgsql at tuxinthebox dot net) for patch.
    * NpgsqlParameterCollection.cs: Fixed problems with parameters with "@" prefix. They weren't correctly recognized. Thanks Pejvan Beigui ( pejvan at gmail dot com) for heads up.
    * NpgsqlCommandBuilder.cs: Updated documentation.
    
2005-08-21  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>
	* Makefile,
	Npgsql.dll.resources: Removed references to design time support. This is not needed when compiling Npgsql with mono.

2005-08-06  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>

        * NpgsqlCommand.cs: Fixed problem when using commandtype.storedprocedure with command texts which have parameters with ' or any other value which needed to be escaped. Now they are properly handled. Thanks Dalibor (dalxxx at email dot com) for heads up and tests.

        
2005-08-05  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>

	* NpgsqlConnection.cs:  Fixed documentation about User Id connection string key. Thanks peyn at tlen dot pl for heads up. Fixes gborg 1388

2005-07-29  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>

        * NpgsqlCommand.cs: Fixed problem with query strings with newlines. Regexp used to parse parameters were removing new line bytes creating query strings with errors. Thanks Jaroslaw Kowalski (jaak at jkowalski dot net) for fix.
	

2005-07-19  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>

        * NpgsqlTypes/NpgsqlTypeConverters.cs:  Gborg 1370. Fixed problems with Money type when using a culture which doesn't use dot as decimal separator. Also fixed problem where only Decimal types (i.e.: 7.4M) could be used as Money type values. Now Float values can be used too.
	
2005-07-08  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>

    * Npgsql/NpgsqlCommand.cs: Npgsql now can handle functions which return refcursor and setof refcursor. Now, results are returned as NpgsqlDataReader resultsets. There is no need to explicitly call "fetch all ..."

2005-07-05 Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>
   
    * NpgsqlTypes/NpgsqlDbType.cs,
      NpgsqlTypes/NpgsqlTypesHelper.cs,
      Npgsql/NpgsqlParameter.cs,
      Npgsql/NpgsqlConnectionString.cs,
      Npgsql/NpgsqlState.resx,
      Npgsql/NpgsqlConnection.cs,
      Npgsql/NpgsqlClosedState.cs,
      Npgsql/NpgsqlCommand.cs,
      Npgsql/NpgsqlConnector.cs,
      Npgsql/NpgsqlParameterCollection.cs,
      Npgsql/NpgsqlDataReader.cs,
      Npgsql/NpgsqlException.cs: Updated to Npgsql 0.7beta6 gborg code.

2005-02-20 Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>

    * Npgsql/NpgsqlCommand.cs: Fixed a problem when using prepare commands inside a transaction. Portal wasn't being released. We use the unnamed portal now. Thanks Marcin (marcin at floryan dot neostrada dot pl) for the heads up.

2005-02-13 Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>

    * NpgsqlTypes/NpgsqlTypesHelper.cs: gborg 1121: Fixed another culture variant representation problem when handling floating numbers. Thanks Sergey (sergey dot p dot k dot no dot spam at gmail dot com) for patch.
    gborg 1167: Added support for writing null chars in text fields. Now they are escaped with \\0.
    Thanks Sergey (sergey dot p dot k dot no dot spam at gmail dot com) for patch.
    
2005-02-08 Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>

    * NpgsqlTypes/NpgsqlTypesHelper.cs: Fixed float precision rounding. Now all float values are sent with 15 precision scale.
    * Npgsql/NpgsqlCommand.cs: Fixed problem when setting a new connection and a running transaction existed. Now, the transaction can be removed and later the connection can be replaced. Thanks Mike Griffin (mike.griffin at mygenerationsoftware dot com) for heads up.

2005-02-06  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>

    * NpgsqlTypes/NpgsqlTypeConverters.cs: Fixed datetime precision when sending values to backend. It was sending just the first 3 decimal values of time. Now it sends all the 6 digits. Thanks Martin Susil (spam at susil dot net) for heads up.

2005-01-29  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>

    * Npgsql/NpgsqlCommand.cs: Added support for updating output parameters when calling executereader().
    Thanks Mike Griffin (mike dot griffin at mygenerationsoftware dot com) for heads up. 
    Fixed internal constructor to initialize Parameters collection and timeout.

2005-01-27  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>

    * Npgsql/NpgsqlParameter.cs,
    Npgsql/NpgsqlConnection.cs,
    Npgsql/NpgsqlCommand.cs,
    Npgsql/NpgsqlParameterCollection.cs,
    Makefile: Fixed problem when compiling Npgsql with Mono on windows with cygwin. Thanks Atsushi Enomoto(atsushi at ximian dot com) for heads up and Rafael Teixeira(monoman at gmail dot com) for fix.

2005-01-24  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : quick csc build fix (tested on mcs as well).

2005-01-23  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com>
        * NpgsqlTypes/NpgsqlTypes.cs,
        Npgsql.dll.sources,
        Npgsql/NpgsqlParameter.cs,
        Npgsql/NpgsqlConnection.cs,
        Npgsql/NpgsqlCommand.cs,
        Npgsql/NpgsqlParameterCollection.cs,
        Makefile: Removed System.Drawing, System.Windows.Forms and System.Design dependency.
        * NpgsqlTypes/NpgsqlTypesHelper.cs: Added patch for gborg 1121. Thanks regmaster (regmaster at gmx dot li) and torben (torben-spam-npsql at nehmer dot net) for patch.

2005-01-21  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com>
        * NpgsqlTypes/NpgsqlDbType.cs,
        NpgsqlTypes/NpgsqlTypesHelper.cs: Added support for Varchar datatype. Removed Internal data type enum. It is not supported yet.
        * Npgsql/PGUtil.cs,
        Npgsql/PGUtil.resx: (WriteString) Added support for logging what string is being written to database server.
        * Npgsql/NpgsqlCommand.cs: Added SingleRow behavior support. 
        gborg 1099. Added support for record return type functions. Thanks neri and Michel for heads up and tests.
        Fixed record function bug when function had many parameters. Thanks Neri (neri at gborg dot postgresql dot org) for heads up.
        * Npgsql/NpgsqlCommandBuilder.cs,
        NpgsqlDataAdapter.cs: Applied patch to fix gborg 1095. Thanks Eric van der Gutten (ericvdg at ananzi dot co dot za).
        * Npgsql/NpgsqlDataReader.cs: Removed type conversions for GetXXX() methods.
        
        

2004-12-20  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com>
        * Npgsql/NpgsqlCommand.cs: gborg 1099. Added support for record return type functions. Thanks neri and Michel for heads up and tests.
        * Npgsql/NpgsqlDataReader.cs: Removed type conversions for GetXXX() methods.
        * Npgsql/NpgsqlCommand.cs: Added IClonable implementation. Also added strong type NpgsqlTransaction property and converted previous interface implementation to implicit interface implementation. Thanks Christopher Gersbo-Møller (cgm at knowledgelab dot sdu dot dk) for heads up.
        
2004-12-19  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com>
	* Npgsql/NpgsqlCommand.cs: Fixed gborg 1088 and 1080. Thanks Neri (neri at gborg dot postgresql dot org) for help. Now mapped output parameters are correctly updated regardless their position in Parameters collection.

2004-12-16  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com>
	* Npgsql/NpgsqlConnector.cs: Changed name of portal and prepare prefixes to be all lower case in order to not have case problems when deallocating them.
	* Npgsql/NpgsqlCommand.cs: Fixed gborg 1082. Added support to implicit parameters when calling stored procedures. 

2004-12-05  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com>
	* Npgsql/NpgsqlConnector (IsValid): Clean mediator after get a connection from pool and test it for validity. This fix a bug which some times occured which made available this test resultset to user when it shouldn't. 

2004-12-07  Raja R Harinath  <rharinath@novell.com>

	* Makefile (CLEAN_FILES): Add $(RESX_RES).
	($(the_lib)): Depend on $(OTHER_RES) too.
	($(RESX_RES)): Pass argument of RESGEN through
	PLATFORM_CHANGE_SEPARATOR_CMD.

2004-12-05  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com>

	* Npgsql/NpgsqlCommand.cs: gborg 971 & 1068: Added support for ParameterDirection.Output and ParameterDirection.InputOutput parameters. Now you can use these types of parameters to get results. Thanks Ivan (ivan-sun1 at mail dot ru) and (teste at aslls dot ss) for heads up.

2004-11-26  Raja R Harinath  <rharinath@novell.com>

	* Makefile (OTHER_RES): New.  List of .bmp files.
	(EXTRA_DISTFILES): Distribute them.

2004-11-25  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com>
    
    Updated to 0.7beta3 release.
    * NpgsqlBind.cs:  Minor code cleanup.
    * NpgsqlClosedState.cs: Code formatting.
    * NpgsqlCommand.cs: Code cleanup and updating for new Plan and Portal name generation code.
    * NpgsqlConnection.cs: Fixed contructor log message.
    * NpgsqlConnectionString.cs: Code formatting.
    * NpgsqlConnector.cs:
        ReleasePlansPortals: Added method to release used plans and portals.
        NextPortalName, NextPlanName: Added methods to handle name generation.
    * NpgsqlConnectorPool.cs:
        UngetPooledConnector: Added call to release plans and portals in connector.
    * NpgsqlError.cs: New constructor which takes ProtocolVersion and String parameters.
    * NpgsqlQuery.cs: Changed constructor to take an NpgsqlCommand instead of just the command string.
    * NpgsqlReadyState.cs: Changed code to reflect NpgsqlQuery change.
    * NpgsqlState.cs: 
        ProcessBackendResponses_Ver_(2,3): Fixed handling of invalid authentication methods. Thanks Magnus Hagander (mha at sollentuna dot net) for the heads up.
    * NpgsqlState.resx: Fixed resource key typo.
    * NpgsqlTransaction.cs: Fixed IDisposable pattern implementation of NpgsqlTransaction. Now it doesn't incorrectly raise InvalidOperation exceptions. Thanks Ivan Radovanovic ( rivan at sezampro dot yu ) for heads up.
     * NpgsqlDbType.cs: Code cleanup.
     * NpgsqlTypeConverters.cs : Removed method to handle string. String quoting is handled prevously as it depends in the type of query: simple or extended.
     * NpgsqlTypes.cs: Code cleanup.
     * NpgsqlTypesHelper.cs: 
        (CreateAndLoadInitialTypesMapping): Removed delegate handler of String types. It's not necessary anymore.
        (ConvertToBackend): Refactorying. Fixed gborg 1035. Thanks Magnus Hagander (mha at sollentuna dot net) for the heads up.

2004-11-25  Raja R Harinath  <rharinath@novell.com>

	* Makefile (EXTRA_DISTFILES): Add Npgsql.dll.resources.

2004-11-04  Raja R Harinath  <rharinath@novell.com>

	* Makefile (EXTRA_DISTFILES): Fix for 'make dist'.

2004-09-30  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>
    * NpgsqlTypes/FastPath.cs,
    NpgsqlTypes/FastPathArg.cs,
    NpgsqlTypes/LargeObject.cs,
    NpgsqlTypes/LargeObjectManager.cs,
    Npgsql.dll.sources: Added large object support. Thanks Emiliano Necciari (e dot necciari at blogic dot it) for the patch.
    

2004-09-26  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>

    * Npgsql/NpgsqlDataReader.cs:
        GetBytes: Added a little fix for proper handling of getbytes with current Npgsql semantics in mind. For while, we just support offset value of 0 as we
        read all the bytes field value at a time. So there is no copy when offset is not 0.
        
2004-09-25  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>

    * Npgsql/NpgsqlCommand.cs:
        GetParseCommandText: Fixed an incorrect patch. Thanks Martin ( martijn at boland dot org) for heads up.

2004-09-25  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>

    * Npgsql/NpgsqlCommand.cs:
        ReplaceParameterValue: Fixed parameter replace when next byte after parameter name is '\\r'. Thanks Ivan Radovanovic rivan at sezampro dot yu for the fix.
        GetParseCommandText: Added a workaround to have some queries which are giving parameter type problems. Thanks Martin ( martijn at boland dot org) for bug report.

2004-09-23  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>

    * NpgsqlTypes/NpgsqlTypesHelper.cs:
        ConvertToBackend: Added support for System.Enum types. Now enumerated types can be used correctly as a paramater value. Thanks Martin ( martijn at boland dot org) for the heads up.

2004-09-18  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>

    * Npgsql/NpgsqlCommand.cs:
        GetClearCommandText: Fixed an infinite loop when trying to use a parameter whose name is equals to same type name.
        i.e.: parameter name :text which would conflict with :text parameter name which was being added in the replacement string.
    * NpgsqlTypes/NpgsqlTypeConverters.cs:
        BasicNativeToBackendTypeConverter.ToString: Fixed handling of strings with backslashes. Now they are properly escaped.
        
2004-09-18  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>

        * NpgsqlCommand.cs,
        NpgsqlConnector.cs:  Improved portal and plan name creation to use an unique number from NpgsqlConnector instead of using an static field in NpgsqlCommand. Thanks Martin ( martijn at boland dot org) for the heads up.

2004-09-15  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>
    * Npgsql/NpgsqlRowDescription.cs:
        FieldIndex: Really added support for case insensitive fields index lookup. Thanks Martin ( martijn at boland dot org)

2004-09-14  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>

    * Npgsql/NpgsqlRowDescription.cs:
        FieldIndex: Added support for case insensitive fields index lookup. Thanks Martin ( martijn at boland dot org)
        
2004-09-12  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>

	* NpgsqlTypes/NpgsqlTypesHelper:
		VerifyDefaultTypesMap: Added DbType.Byte support. Thanks Martin ( martijn at boland dot org)
		for heads up.
		
2004-09-12  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>

	* NpgsqlTypes/NpgsqlTypesHelper:
		ConvertToBackend: Fixed code to handle null values properly when using extended query mode.
		Fix bug 955 in gborg.

2004-09-11  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>

	* Npgsql/NpgsqlConnection.cs: 
		Dispose: Improved implementation. Also added warning logging for 
		NpgsqlConnection leakings.
		Close: Fixed code to allow calling many times even when being disposed.
	* Npgsql/NpgsqlConnection.resx:
		Added new warning logging message for NpgsqlConnection leakings.
	* Npgsql/NpgsqlConnector.cs:
		IsValid: new method to check if Connector is still valid.
	* Npgsql/NpgsqlConnectorPool.cs:
		GetPooledConnector: Improved to check validity of Connector.
		FixPoolCountBecauseOfConnectionDisposeFalse: new method to fix the connection pool count
		because NpgsqlConnection leaking. This way, uses doesn't run out of connections from pool.

2004-09-07  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>

	* NpgsqlException.cs:  Added support for deserialization of NpgsqlException.

	* NpgsqlState.cs: Added missing handling of NoData message.
	

2004-07-02  Raja R Harinath  <rharinath@novell.com>

	* Makefile (OVERRIDE_BARE_TARGETS): Remove.
	($(the_lib)): Make dependency explicit.

2004-06-28  Raja R Harinath  <rharinath@novell.com>

	* Makefile (%.resources): Use $(RESGEN).

2004-06-22  Raja R Harinath  <rharinath@novell.com>

	* Makefile: Use $(PLATFORM_PATH_SEPARATOR) in MONO_PATH.

2004-06-21  Raja R Harinath  <rharinath@novell.com>

	* Makefile (LIBRARY_SNK): Sign with Npgsql/Npgsql.snk.

2004-06-18  Francisco Figueiredo Jr. <fxjrlists@yahoo.com.br>
	* Synchronized files with gborg cvs up to release 0.6.

2004-05-29  Francisco Figueiredo Jr. <fxjrlists@yahoo.com.br>
	* Npgsql/NpgsqlConnection.cs: Added workaround for redhat server versions.
	It returns 7.3.4-RH as its server version. Thanks Jaroslaw Kowalski 
(jaak@zd.com.pl) for the patch.

2004-05-24  Francisco Figueiredo Jr. <fxjrlists@yahoo.com.br>
	* Npgsql/NpgsqlConnection.cs: Fixed bug when handling Unicode connections.
	Fixes Gborg bug 752.
	Thanks stehule@kix.fsv.cvut.cz for the patch.

2004-05-23  Francisco Figueiredo Jr. <fxjrlists@yahoo.com.br>
	
	* Npgsql/NpgsqlConnection.cs: Fixed bug which prevented Npgsql to
connect to cvs built servers which had devel in its version string.
	
2004-05-22  Francisco Figueiredo Jr. <fxjrlists@yahoo.com.br>

	Npgsql/NpgsqlCommand.cs,
	Npgsql/NpgsqlConnection.cs,
	Npgsql/NpgsqlDataReader.cs,
	Npgsql/NpgsqlException.cs,
	Npgsql/NpgsqlTransaction.cs,
	Npgsql/Design/ConnectionStringEditor.cs,
	Npgsql/Design/ConnectionStringEditorForm.cs,
	Npgsql/Design/NpgsqlParameterConverter.cs,
	Npgsql/Design/NpgsqlParametersEditor.cs,
	NpgsqlTypes/NpgsqlTypesHelper.cs: Commit log by 
	Glen Parker (glenebob@nwlink.com): Bug #772 ("Using 
	Command and Prepare adds single quotes to strings twice")
	is fixed  :-)   It was broken when running on the version 3
	protocol (extended query support) on PostgreSQL 7.4. 
	Some of the files in Design were formatted with macintosh line 
	terminators. This was screwing up the xmldoc generator in csc, 
	so I reformatted to make it work.
	I've added some essential xmldoc comments (<summary> tags).  Much work
remains here, but I wanted to get a few in on common functions and
properties.

	The .build file will now generate the Npgsql.xml file, next to the .dll
file.  I removed the existing Npgsql.xml from CVS.

	Thanks Glen Parker for this patch.


2004-05-20  Francisco Figueiredo Jr. <fxjrlists@yahoo.com.br>

        NpgsqlAsciiRow.cs,
        NpgsqlBackEndKeyData.cs,
        NpgsqlBinaryRow.cs,
        NpgsqlCommand.cs,
        NpgsqlConnectedState.cs,
        NpgsqlConnection.cs,
        NpgsqlConnection.resx,
        NpgsqlConnector.cs,
        NpgsqlConnectorPool.cs,
        NpgsqlError.cs,
        NpgsqlMediator.cs,
        NpgsqlMessageTypes.cs,
        NpgsqlPasswordPacket.cs,
        NpgsqlQuery.cs,
        NpgsqlRowDescription.cs,
        NpgsqlStartupPacket.cs,
        NpgsqlState.cs,
        PGUtil.cs,
        NpgsqlTypes/NpgsqlTypesHelper.cs : - store protocol version as an enum, keep numbers as protocol specific
        - split more protocol handlers between version 2 and version 3
        - split MessageTypes class on ver2/ver3 and add remaining types for ver3        - removed handlers for deprecated protocol message types
        - store BackendKeyData in its own member on Mediator
        - Store ParameterStatus objects in a key map on Mediator
        - Get backend version now from the Mediator if possible
        - Rewrite parsers for server version and connection string
        - Store server version numericially (in a new class ServerVersion)
        - As usual, lots of code cleanup/commenting/etc.

        Thanks very much Glen Parker (glenebob@nwlink.com) for this patch.

2004-05-20  Raja R Harinath  <rharinath@novell.com>

	* Makefile (%.resources): Use INTERNAL_RESGEN.

2004-05-13  Francisco Figueiredo Jr. <fxjrlists@yahoo.com.br>

	* Npgsql/NpgsqlHashAlgorithm.cs: Changed exception type from Exception t
o InvalidOperationException when calling the Hash property and hash value is nul
l. Thanks Gonzalo Paniagua Javier <gonzalo@ximian.com> for catching that.

2004-05-09  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>
        * HashAlgorithm.cs,
        NpgsqlAsciiRow.cs,
        NpgsqlBinaryRow.cs,
        NpgsqlClosedState.cs,
        NpgsqlCommand.cs,
        NpgsqlCommandBuilder.cs,
        NpgsqlConnection.cs,
        NpgsqlDataReader.cs,
        NpgsqlException.cs,
        NpgsqlParameterCollection.cs,
        NpgsqlReadyState.cs,
        NpgsqlTransaction.cs: Improved exception handling. Now Npgsql throws mor
e meaningful exceptions instead of throw NpgsqlException which are now exclusive
ly to sign server errors. Thanks Glen Parker (glenebob@nwlink.com) for the patch.



2004-05-05  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* Makefile:
	* Npgsql.dll.resources: all the resources command line options are now
	in a separate response file.

2004-05-04  Jaroslaw Kowalski <jaak@zd.com.pl>
	* Npgsql/NpgsqlDataReader.cs: Fixed RecordsAffected to properly return -1 after "create table" and similar commands.

2004-05-01  Francisco Figueiredo Jr. <fxjrlists@yahoo.com.br>

	* Npgsql/NpgsqlCommand.cs,
        Npgsql/NpgsqlConnection.cs,
        Npgsql/NpgsqlConnector.cs,
        Npgsql/NpgsqlConnectorPool.cs,
        Npgsql/NpgsqlError.cs,
        Npgsql/NpgsqlException.cs,
        Npgsql/NpgsqlParameterCollection.cs,
        NpgsqlTypes/NpgsqlTypesHelper.cs: Improved exception support. Now NpgsqlException as well as NpgsqlError provide much more information. Thanks Glen Parker (glenebob@nwlink.com) for the patch.

2004-04-30  Todd Berman  <tberman@sevenl.net>

	* Npgsql/AssemblyInfo.cs: use the proper path to the .pub file

2004-04-30  Duncan Mak  <duncan@ximian.com>

	* Npgsql/AssemblyInfo.cs: Enable delay signing, using Npgsql.pub.

	* Npgsql/Npgsql.pub: Added to CVS.

2004-04-21  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>
	* Npgsql/NpgsqlDataAdapter.cs: Changed RowUpdated and RowUpdating prefix to Npgsql.
	* Npgsql/NpgsqlClosedState.cs: Removed dependency in TlsException. Carlos Guzman will change this excpetion to internal.

	* Npgsql/NpgsqlCommand.cs
	* Npgsql/NpgsqlCommand.resx
	* Npgsql/NpgsqlConnection.cs
	* Npgsql/NpgsqlConnection.resx
	* Npgsql/NpgsqlDataAdapter.cs
	* Npgsql/NpgsqlError.cs
	* Npgsql/NpgsqlException.cs
	* Npgsql/NpgsqlException.resx
	* Npgsql/NpgsqlMediator.cs
	* Npgsql/NpgsqlState.cs
	* Npgsql/NpgsqlState.resx
	* Npgsql/PGUtil.cs : Added initial error handling code improvements. Thanks Glen Parker (glenebob@nwlink.com) for the patch. NpgsqlException now gives aceess to error collection through the Errors property. This property return a collection of NpgsqlErrors objects. Also it gives access to error message, hint, severity and code. This fixes the feature request 689 in gborg.



2004-04-09  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>
	* Npgsql/NpgsqlDataAdapter.cs: Fixed DataAdapter to raise the RowUpdating and RowUpdated events. This also fixes some issues in gborg 710 bug. This modification may have broken CommandBuilder support. Working on that.

2004-03-28  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>
	* Npgsql/NpgsqlTransaction.cs: Fixed a bug where rollback was being called when disposing NpgsqlTransaction objects even when transaction was sucessfully commited. Fixes bug 725 in gborg. Thanks melkor (melkor@adinet.com.uy) for spotting that.

2004-03-28  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>
	* Npgsql/NpgsqlConnection.cs: Implemented IClonable interface in NpgsqlConnection class. Thanks Juliano Barbosa for pointing it out.

2004-03-22  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>
        * Npgsql/NpgsqlAsciiRow.cs
        * Npgsql/NpgsqlBinaryRow.cs
        * Npgsql/NpgsqlDataReader.cs: Fixed NpgsqlDataReader.IsDBNull(). It wasn't working for postgresql 7.4+. Thanks Glen Parker (glenebob@nwlink.com) for the patch.


2004-03-13  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>

	* Npgsql/NpgsqlConnection.cs:
	* Npgsql/NpgsqlClosedState.cs: Added support for SSL callbacks points. Now, client applications can provide the callbacks. Npgsql provide a default callback implementation which always assumes the certificate is ok. This allows easy use as client don't need to provide callback to use ssl connections. This also fixes bug 705 in gborg.
	* NpgsqlTypes/NpgsqlTypesHelper: Applied patch to correctly parse datetimes values with timezone information. Thanks Glen Parker <glenebob@nwlink.com> for the patch.
	

2004-03-06  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>

	* Npgsql/NpgsqlConnectorPool.cs: Fixed bug 706 in gborg. Now Max timeout will be working correctly. Thanks Sami Kuhmonen <feenix@iqs.fi> for the patch.

2004-02-29  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>
	* Npgsql/NpgsqlConnection.cs: Better handling of connection encoding. Added support for encoding and connection timeout in connection string.
	* Npgsql/NpgsqlConnectorPool.cs: Added support for timeout and max connection pool.

2004-02-28  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>

	* Npgsql/NpgsqlConnector.cs: Added support for connection encoding.
	* Npgsql/NpgsqlConnection.cs: Better handling of connection encoding.
	* Npgsql/NpgsqlCommand.cs: Fixed an Invalid Index error when executing ExecuteScalar() method with an empty resultset. Thanks Lynn A. Roth for the fix. This fixes bug 687 in gborg.


2004-02-25  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>

	* Npgsql/NpgsqlDataReader.cs: Fixed a OutOfBoundsException when trying to access an element after have read all elements. Now it throws an InvalidOperationException.

	* Npgsql/NpgsqlConnection.cs: Fixed Unicode handling. This also fixes bug 695 in gborg. Thanks Sami Kuhmonen <feenix@iqs.fi> for the patch.

 
2004-02-16  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>

        * Npgsql/NpgsqlDataReader.cs: Removed a log line which reduced the conne
ction startup time in 300 milliseconds.

2004-02-16  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>

        * NpgsqlConnection.cs: Added support for Unicode encoding. Fixes feature
request 534 on gborg. Thanks Ivar <ivar@lumisoft.ee> for pointing it out.

2004-02-16 Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>

        * Npgsql/NpgsqlStartupPacket.cs: Added code to set datestyle to iso when
connecting using protocol 3.0 version. Thanks Sami Kuhmonen <feenix@iqs.fi> for pointing it out.

2004-02-14  Francisco Figueiredo Jr.  <fxjrlists@yahoo.com.br>

        * Npgsql/NpgsqlCommand.cs: Fixed a bug when handling queries which return no data. Thanks Morten Mertner <morten@mertner.com> for the fix.

2004-02-10  Francisco Figueiredo Jr. <fxjrlists@yahoo.com.br>
	
	* NpgsqlTypes/NpgsqlTypesHelper.cs: Added support for datetime and time datatypes with timezone data. Thanks Sami Kuhmonen (sami@iqs.fi).

2004-01-15  Jackson Harper <jackson@ximian.com>

	* NpgslTypes/NpgsqlTypesHelper.cs: Add StringFixedLength type.
	
2003-11-23  Pedro Martínez Juliá <yoros@wanadoo.es>

	* Npgsql/HashAlgorithm.cs:
	* Npgsql/NpgsqlClosedState.cs:
	* Npgsql/NpgsqlCommand.cs:
	* Npgsql/NpgsqlConnectedState.cs:
	* Npgsql/NpgsqlConnection.cs:
	* Npgsql/NpgsqlReadyState.cs:
	* Npgsql/NpgsqlStartupState.cs:
	* Npgsql/NpgsqlState.cs: Apply Disposable pattern, when using
	ADO.NET we need to call Dispose after using any Component like
	NpgsqlDataAdapter, NpgsqlConnection, etc... Change a few internal
	methods to Properties.

2003-11-22  Pedro Martínez Juliá <yoros@wanadoo.es>

	* Npgsql/NpgsqlClosedState.cs:
	* Npgsql/NpgsqlConnectedState.cs:
	* Npgsql/NpgsqlConnection.cs:
	* Npgsql/NpgsqlReadyState.cs:
	* Npgsql/NpgsqlState.cs: Changes related to the last update of SSL
	implementation. Now we're using TcpClient for the connection and
	Stream for the abstraction layer to SslClientStream.

2003-11-11  Pedro Martínez Juliá <yoros@wanadoo.es>

	* Npgsql/NpgsqlDataReader.cs: GetSchemaTable has nothing to do with
	CanRead because the schema can be readed with or without result
	rows.

2003-11-10  Pedro Martínez Juliá <yoros@wanadoo.es>

	* Npgsql/NpgsqlDataAdapter.cs: Best use "if" instead of try-catch.

2003-11-10  Pedro Martínez Juliá <yoros@wanadoo.es>

	* Npgsql/NpgsqlDataAdapter.cs: Catch the exception thrown by MS.NET
	when a mapping is not in the collection.

2003-11-09  Pedro Martínez Juliá <yoros@wanadoo.es>

	* Npgsql/NpgsqlDataAdapter.cs: Do not assing the result of the
	CommandBuilder to the local data. Local data should be null if the
	client doesn't set them.

	* Npgsql/NpgsqlCommandBuilder.cs: Mistake in param name fixed.

2003-11-09  Pedro Martínez Juliá <yoros@wanadoo.es>

	* Makefile: Little fix for build the resources.

	* Npgsql/NpgsqlCommandBuilder.cs: Added row version in delete
	command.

2003-11-08  Pedro Martínez Juliá <yoros@wanadoo.es>

	* Npgsql/NpgsqlCommand.cs: Removed try-catch for Resource Manager
	calls, the problem is fixed.

	* Makefile: Fix one bug in the build of resources.

2003-11-08  Pedro Martínez Juliá <yoros@wanadoo.es>

	* Npgsql/NpgsqlCommandBuilder.cs: Added the command builder.

	* Npgsql/NpgsqlDataAdapter.cs: Added the CommandBuilder stuff. When
	OnRowUpdating is called we create the command necesary for updating,
	inserting or deleting any row of the DataTable/DataSet.

	* Npgsql/NpgsqlCommand.cs: Temporary try-catch. ResMan still doesn't
	work. This must be removed when ResMan works.

	* Npgsql/NpgsqlParameter: No more than one call to value.GetType()
	is more efficient for the deep if structure types.

2003-11-07  Pedro Martínez Juliá <yoros@wanadoo.es>

	* Npgsql/NpgsqlDataAdapter.cs: Fixed the mistake I did in the last
	change. The Command objects must not be created in the constructor.
	The Commands should be in the overrided method "OnRowUpdating".

	* Npgsql/NpgsqlCommand.cs: Added two try-catch instructions to get
	the proper exception (not MissingManifestResourceException). It is
	thrown in MS.NET and in MONO. (Npgsql compiled with MCS).

2003-11-07  Pedro Martínez Juliá <yoros@wanadoo.es>

	* Npgsql/NpgsqlDataAdapter.cs: Create new Command classes for the
	different Insrt / Update / Delete commands.

2003-10-20  Pedro Martínez Juliá <yoros@wanadoo.es>

	* Npgsql/NpgsqlClosedState.cs:
	* Npgsql/NpgsqlConnection.cs:
	* Npgsql/NpgsqlConnectedState.cs:
	* Npgsql/NpgsqlReadyState.cs:
	* Npgsql/NpgsqlState.cs: Changed the namespace for Tls, now the
	namespace is Mono.System.Protocol.Tls, before was
	System.Security.Tls.

	* Npgsql/Makefile: Change reference from System.Security.Tls to
	Mono.Security (now Tls lives there).

2003-10-16  Pedro Martínez Juliá <yoros@wanadoo.es>

	* Npgsql/NpgsqlClosedState.cs:
	* Npgsql/NpgsqlConnectedState.cs:
	* Npgsql/NpgsqlConnection.cs: Changed TcpClient by TlsSession
	because now it is used TlsSession and it doesn't work without
	these changes.

2003-10-16  Pedro Martínez Juliá <yoros@wanadoo.es>

	* Makefile: changed reference from Lib/System.Security.Tls.dll to
	System.Security.Tls because the last will be installed before and
	separatelly.

	* Lib: Removed Lib directory, moved System.Security.Tls.dll to
	Mono.Security.Tls library directory.

2003-10-15  Pedro Martínez Juliá <yoros@wanadoo.es>

	* Makefile: fix building and the install objectives.

2003-04-26  Pedro Martínez Juliá <yoros@wanadoo.es>

	* Npgsql/NpgsqlDataReader.cs: Change GetFloat and GetDouble. Now
	they works as direct casting from GetValue.

2003-07-18  Peter Williams  <peter@newton.cx>

	* Npgsql/AssemblyInfo.cs: Don't strongname the assembly, because
	we can't unless corlib is strongnamed too. Not a wonderful solution,
	but I don't think this ever worked anyway.

2003-05-25  Francisco Figueiredo Jr. <fxjrlists@yahoo.com.br>
	* Npgsql/NpgsqlDataReader.cs: Fixed an invalid index exception when
	processing 0 rows queries.

2003-04-26  Pedro Martínez Juliá <yoros@wanadoo.es>

	* Npgsql/NpgsqlDataReader.cs: Now GetDateTime works for "dd/MM/yyyy"
	date formats. I think that it's needed support to auto-detect
	DateTime format through PgSql server configuration.

2003-01-28  Daniel Morgan <danmorg@sc.rr.com>

	* Npgsql.build: got it to work for Windows build
	
	* Npgsql/Npgsql.build
	* Npgsql/Npgsql.cmbx 
	* Npgsql/Npgsql.prjx: removed files not needed

2003-01-28  Daniel Morgan <danmorg@sc.rr.com>

	* added the Npgsql (Npgsql is a .Net Data Provider for PostgreSQL)
	  from http://gborg.postgresql.org/project/npgsql/projdisplay.php
	  by adding the following files and directories to the mcs module
	  in mono-cvs.ximian.com at mcs/class:
      
      Npgsql (directory)     
      ChangeLog    
      Makefile  
      Npgsql.build  
      RELEASENOTES.txt  
      TODO.txt  
      makefile.gnu
      LICENSE.txt  
      README.txt
      STATUS.txt
      list
	  Npgsql/Npgsql (directory)
	  Npgsql/AssemblyInfo.cs
	  Npgsql/NpgsqlAsciiRow.cs
	  Npgsql/NpgsqlBackEndKeyData.cs
	  Npgsql/NpgsqlClosedState.cs
	  Npgsql/NpgsqlCommand.cs
	  Npgsql/NpgsqlConnectedState.cs
	  Npgsql/NpgsqlConnection.cs
	  Npgsql/NpgsqlConnector.cs
	  Npgsql/NpgsqlConnectorPool.cs
	  Npgsql/NpgsqlDataAdapter.cs
	  Npgsql/NpgsqlDataReader.cs
	  Npgsql/NpgsqlEventLog.cs
	  Npgsql/NpgsqlException.cs
	  Npgsql/NpgsqlMediator.cs
	  Npgsql/NpgsqlMessageTypes.cs
	  Npgsql/NpgsqlParameter.cs
	  Npgsql/NpgsqlParameterCollection.cs
	  Npgsql/NpgsqlPasswordPacket.cs
	  Npgsql/NpgsqlQuery.cs
	  Npgsql/NpgsqlReadyState.cs
	  Npgsql/NpgsqlResultSet.cs
	  Npgsql/NpgsqlRowDescription.cs
	  Npgsql/NpgsqlStartupPacket.cs
	  Npgsql/NpgsqlStartupState.cs
	  Npgsql/NpgsqlState.cs
	  Npgsql/NpgsqlTransaction.cs
	  Npgsql/PGUtil.cs

